| Kea 3.0.2-git

check_exists_remove.h File Reference

This file defines the class CheckExistsRemoveTransaction. More...

`#include <d2srv/nc_trans.h>`
Include dependency graph for check_exists_remove.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::d2::CheckExistsRemoveTransaction
| Embodies the "life-cycle" required to carry out a DDNS Remove update. More...
class | isc::d2::CheckExistsRemoveTransactionError
| Thrown if the CheckExistsRemoveTransaction encounters a general error. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::d2

## Typedefs
typedef boost::shared_ptr< CheckExistsRemoveTransaction > | isc::d2::CheckExistsRemoveTransactionPtr
| Defines a pointer to a CheckExistsRemoveTransaction.

## Detailed Description

This file defines the class CheckExistsRemoveTransaction.

Definition in file check_exists_remove.h.